Subject: Re: [bug#30836] [PATCH 2/3] guix import elpa: use #f for license

From: Kyle Meyer <[email-masked]>
Date: Sun, 18 Mar 2018 01:12:04 -0400

Ludovic Courtès <[email-masked]> writes:

> Konrad Hinsen <[email-masked]> skribis:
>
>> Elpa doesn't supply license information. The current importer pretends that
>> everything is GPL3, which is not true. The importer should not invent license
>> information.
>
> Do you have examples of packages on ELPA that are not GPLv3+?  I don’t
> know if this is the case, but I wouldn’t be surprised if it had a policy
> of requiring GPLv3+ given that Emacs itself is GPLv3+.

My understanding is that anyone who contributes a non-trivial patch to
an ELPA package must assign copyright to the FSF, so I'd guess an ELPA
package is GPLv3+ by definition.

-- 
Kyle